rte_mtr_meter_profile(3)

NAME
rte_mtr_meter_profile

SYNOPSIS

#include <rte_mtr.h>

  Data Fields

enum rte_mtr_algorithm alg
int packet_mode

Detailed Description

Meter profile

Definition at line 128 of file rte_mtr.h.

Field Documentation

  enum rte_mtr_algorithm alg
Traffic metering algorithm.

Definition at line 130 of file rte_mtr.h.

  uint64_t cir
Committed Information Rate (CIR) (bytes per second or packets per second).

Definition at line 139 of file rte_mtr.h.

  uint64_t cbs
Committed Burst Size (CBS) (bytes or packets).

Definition at line 142 of file rte_mtr.h.

  uint64_t ebs
Excess Burst Size (EBS) (bytes or packets).

Definition at line 145 of file rte_mtr.h.

  struct { ... } srtcm_rfc2697
Items only valid when alg is set to srTCM - RFC 2697.

  uint64_t pir
Peak Information Rate (PIR) (bytes per second or packets per second).

Definition at line 160 of file rte_mtr.h.

  uint64_t pbs
Peak Burst Size (PBS) (bytes or packets).

Definition at line 166 of file rte_mtr.h.

  struct { ... } trtcm_rfc2698
Items only valid when alg is set to trTCM - RFC 2698.

  uint64_t eir
Excess Information Rate (EIR) (bytes per second or packets per second).

Definition at line 181 of file rte_mtr.h.

  struct { ... } trtcm_rfc4115
Items only valid when alg is set to trTCM - RFC 4115.

  int packet_mode
When zero, the byte mode is enabled for the current profile, so the rate and size fields are specified in bytes per second and bytes, respectively. When non-zero, the packet mode is enabled for the current profile, so the rate and size fields are specified in packets per second and packets, respectively.

Definition at line 199 of file rte_mtr.h.

Author

Generated automatically by Doxygen for DPDK from the source code.